import { ApolloLink, Operation, FetchResult, Observable } from 'apollo-link';
import { GraphQLSchema } from 'graphql';
export declare namespace ReactiveSchemaLink {
    type ResolverContextFunction<ContextType> = (operation: Operation) => ContextType;
    interface Options<ContextType> {
        /**
         * The schema to generate responses from.
         */
        schema: GraphQLSchema;
        /**
         * A context to provide to resolvers declared within the schema.
         */
        context?: ResolverContextFunction<ContextType> | Record<string, any>;
    }
}
export declare class ReactiveSchemaLink<ContextType> extends ApolloLink {
    schema: GraphQLSchema;
    context: ReactiveSchemaLink.ResolverContextFunction<ContextType> | any;
    constructor({ schema, context }: ReactiveSchemaLink.Options<ContextType>);
    request(operation: Operation): Observable<FetchResult> | null;
}
export default ReactiveSchemaLink;
